DefaultTerm
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.dir.master.index
Class DefaultTerm

    java.lang.Object
      org.gcube.dir.master.index.DefaultTerm

All Implemented Interfaces:
  Term<DefaultTermStats>

    public class DefaultTerm

extends java.lang.Object
implements Term<DefaultTermStats>

An implementation of `Term` specialised to `DefaultTermStats`.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`DefaultTerm()`

Method Summary
`java.lang.String` | `getName()` Returns the name of the term.
`DefaultTermStats` | `getStats()` Returns the statistics of the term.
`void` | `setName(java.lang.String name)` Sets the name of the term.
`void` | `setStats(DefaultTermStats stats)` Sets the statistics of the term.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTerm

    public DefaultTerm()

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets the name of the term.

  Specified by:
    `setName` in interface `Term<DefaultTermStats>`
  Parameters:
    `name` - the name.

### getName

    public java.lang.String getName()

  Returns the name of the term.

  Specified by:
    `getName` in interface `Term<DefaultTermStats>`
  Returns:
    the name.

### setStats

    public void setStats(DefaultTermStats stats)

  Sets the statistics of the term.

  Specified by:
    `setStats` in interface `Term<DefaultTermStats>`
  Parameters:
    `stats` - the statistics.

### getStats

    public DefaultTermStats getStats()

  Returns the statistics of the term.

  Specified by:
    `getStats` in interface `Term<DefaultTermStats>`
  Returns:
    the statistics.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD